Subject: Re: [NETFILTER] xt_hashlimit : speedups hash_dst()

From: Patrick McHardy <[email-masked]>
Date: Mon, 17 Dec 2007 13:38:23 +0100

David Miller wrote:
> From: Eric Dumazet <[email-masked]>
> Date: Sat, 15 Dec 2007 12:04:47 +0100
> 
>> I prefer to let admins chose their size, since it makes attacker life more 
>> difficult :)
>>
>> For example, I can tell you I have a server, were size is between 2.000.000 
>> and 3.500.000, I dont want to be forced to use 2097152
>>
>> A multiply is cheap, at least on current hardware.
> 
> I agree, and I see nothing wrong with Eric's patch and it
> should be merged ASAP.

I have it queued for 2.6.25 - would you like me to send it
for 2.6.24?